TELEGRAM-DESKTOP(1)

NAME
telegram-desktop - fast and secure messaging application

SYNOPSIS
telegram-desktop [-autostart] [-startintray] [-debug] [-scale INT] [-workdir PATH] [-- URI]

DESCRIPTION
This manual page documents how to run Telegram Desktop, official Telegram client.

OPTIONS
Although the program is primarily a GUI application, it understands various command line arguments, some of them are described in the present document.

-autostart
    Apply automatic start. It works if only auto-starting is allowed in settings and the app is not locked by a passcode. Telegram will start minimized in the system tray if the corresponding checkbox has been set.

-startintray
    Do not show the main window, just start in the system tray. Useful for automatic unconditional launching.

-debug
    Run in debug mode immediately. See full logs in working directory or in standard location at ~/.local/share/TelegramDesktop/DebugLogs.

-scale INT
    Set initial interface scale factor. Possible values are measured in percents from 75 up to 300 inclusive.

-workdir PATH
    Change current working directory to specified path before start. All Telegram data will be stored encrypted in this folder. You can pass this option to partition different app instances that run simultaneously.

URI Specify Telegram URI. It is used for automatically opening chats by t.me site.

There are also some other hidden options not intended for direct use.

ENVIRONMENT

TDESKTOP_DISABLE_TRAY_COUNTER
    If set to anything Telegram Desktop will not render message or chat counter over its icon in the system tray.

TDESKTOP_FORCE_PANEL_ICON
    If set to anything Telegram Desktop will use for the tray icon telegram-panel, telegram-attention-panel, or telegram-mute-panel icons from the system theme. This does not work along with the tray counter mentioned above.

TDESKTOP_USE_PORTAL
    Set this to something to make Telegram Desktop always use XDG Desktop portals to open file dialogs. By default the portal is used if available on KDE.

XDG_DATA_HOME
    Used to automatically determine working directory unless set by hand.

HOME
    User home directory where the app stores downloaded files and configuration.

SEE ALSO
Wiki on GitHub (https://github.com/telegramdesktop/tdesktop/wiki)